## pathspider 1.0.1

=== requirements.txt ===
straight.plugin
dnspython
pyroute2

## pathspider 0.9.0

=== debian/changelog ===
pathspider (0.9.0-2) unstable; urgency=medium

  * Added Dependency on python3-libtrace. (Closes: #838113)

 -- Iain R. Learmonth <irl@debian.org>  Sun, 18 Sep 2016 12:42:18 +0100

pathspider (0.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #829282)

 -- Iain R. Learmonth <irl@debian.org>  Wed, 06 Jul 2016 12:23:31 +0100

=== debian/control ===
Source: pathspider
Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3,
               python3-twisted,
               python3-zope.interface,
               python3-libtrace,
               python3-repoze.sphinx.autointerface,
               python-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/pathspider.git
Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/pathspider.git
Homepage: https://pathspider.mami-project.eu/

Package: pathspider
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-libtrace
Description: Internet path transparency measurement tool
 PATHspider is a tool for performing experimental path transparency
 measurements and is extensible using a plugin architecture. The
 PATHspider distribution includes a set of plugins for measuring path
 transparency to signalling used by explicit-congestion notification and
 TCP Fast Open.

## pathspider 1.0.1

=== debian/changelog ===
pathspider (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Iain R. Learmonth <irl@debian.org>  Fri, 04 Nov 2016 14:09:15 +0000

pathspider (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
   - Updated Build-Depends for new upstream release:
    - Removed: python3-twisted, python3-zope.interface,
      python3-repoze.sphinx.autointerface, python-sphinx
    - Added: python3-dnspython, python3-nose, python3-pyroute2,
      python3-setuptools, python3-sphinx, python3-straight.plugin
  * debian/patches:
   - Added patch to copy examples/webtest into tests/tesdata and updated
     test_job_feeder() to look there so that the file is available when the
     nose tests are run.
  * debian/pathspider.1
   - Updated for the new CLI options

 -- Iain R. Learmonth <irl@debian.org>  Mon, 31 Oct 2016 18:13:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,17 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3,
-               python3-twisted,
-               python3-zope.interface,
+               python3-dnspython,
                python3-libtrace,
-               python3-repoze.sphinx.autointerface,
-               python-sphinx
+               python3-nose,
+               python3-pyroute2,
+               python3-setuptools,
+               python3-sphinx,
+               python3-straight.plugin
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/pathspider.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/pathspider.git
-Homepage: https://pathspider.mami-project.eu/
+Homepage: https://pathspider.net/
 
 Package: pathspider
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' /usr/bin/python3 /usr/bin/sphinx-build -N -bhtml doc/ doc/_build/html # HTML generator
	dh_auto_build

## pathspider 2.0.1

=== requirements.txt ===
straight.plugin
pyroute2
scapy-python3
stem
dnslib
pycurl
nose

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = /usr/share/sphinx/scripts/python3/sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pathspider.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pathspider.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pathspider"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pathspider"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pathspider (2.0.1-3) unstable; urgency=medium

  * QA upload.
  * Correct Vcs fields.
  * Drop unnecessary pycurl version.

 -- Bastian Germann <bage@debian.org>  Mon, 05 Dec 2022 19:19:45 +0100

pathspider (2.0.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch pylint3 dependency to pylint, the former is a cruft package
    (Closes: #945981)
  * Disable test_plugin_evilbit.py and test_plugin_udpzero.py
    by adding them to debian/clean target.
    NOTE: I'm not closing the RC bug, because the fix needs to be addressed
    anyway, this upload is meant to remove pylint2 cruft package.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2019 18:49:55 +0100

pathspider (2.0.1-2) unstable; urgency=medium

  * d/control:
   - Update pycurl dependency to be versioned

  The work for this change was supported by the European Union under grant
  agreement No. 688421. This support does not imply endorsement.

 -- Iain R. Learmonth <irl@debian.org>  Thu, 01 Feb 2018 20:30:43 +0000

pathspider (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * Updates man page for new pspdr(1) command
  * Removes old pathspider(1) man page
  * d/patches:
   - Remove redundant patch for test data
  * d/rules:
   - Run built in test suite during build
  * d/control:
   - Sync dependencies
   - Standards version to 4.1.3
  * d/compat:
   - Bump compat level to 11

  The work for this change was supported by the European Union under grant
  agreement No. 688421. This support does not imply endorsement.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 23 Jan 2018 12:19:10 +0000

=== debian/control ===
Source: pathspider
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-dnslib,
               python3-libtrace,
               python3-nose,
               python3-pyroute2,
               python3-setuptools,
               python3-sphinx,
               python3-straight.plugin,
               python3-scapy,
               python3-stem,
               python3-pycurl,
               pylint
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/ineteng-team/pathspider
Vcs-Git: https://salsa.debian.org/ineteng-team/pathspider.git
Homepage: https://pathspider.net/

Package: pathspider
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-libtrace
Description: Internet path transparency measurement tool
 PATHspider is a tool for performing experimental path transparency
 measurements and is extensible using a plugin architecture. The
 PATHspider distribution includes a set of plugins for measuring path
 transparency to signalling used by explicit-congestion notification and
 TCP Fast Open.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=. python3 -m pathspider.cmd.base test

override_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' /usr/bin/python3 /usr/bin/sphinx-build -N -bhtml doc/ doc/_build/html # HTML generator
	dh_auto_build
